Rails.application.routes.draw do
  scope :api do
    resources :dashboard_group_dashboards
    resources :dashboard_groups
    resources :dashboard_component_placements
    resources :dashboards
    resources :dashboard_components do
      member do
        post :complete_async
        post :run
      end
    end

    resources :dashboard_targets
    resources :lab_layouts, only: [:show, :destroy, :index] do
      collection do
        post "save"
      end
    end
    get "/lab_layout_components/:id/image" => "lab_layout_components#image"

    get "machines/all" => "machines#all"
    get "machine_groups/all" => "machine_groups#all"
  end
  mount RxModule::Engine => "/api/rx_module"
  root "/", controller: :index, action: :show, as: :index_show
  match "*path" => "index#show", :via => :all
end
